.header {
    position: fixed;
    z-index: 2;
    width: 100%;
    top: 0;
    
    .header__top {
        border-bottom: 1px solid $lightGray;
        padding: 20px 0 20px 0;
        background-color: $white;

        @media (max-width: 576px) {
            padding: 15px 0 15px 0;
        }

        .header__main {
            display: flex;
            justify-content: space-between;
            align-items: center;
            
            .social__block {
                display: flex;
                align-items: center;

                .social__text {
                    @include headerText;
                    padding-right: 20px;

                    @media (max-width: 1024px) {
                        display: none;
                    }
                }

                .social__list {
                    display: flex;
                    gap: 15px;

                    @media (max-width: 576px) {
                        position: fixed;
                        justify-content: space-between;
                        width: -webkit-fill-available;
                        bottom: 0;
                        left: 0;
                        padding: 1rem;
                        border-top: 1px solid $lightGray;
                        background-color: $white;
                        z-index: 2;
                    }

                    .social__link {
                        @include socialLink;
                    }
                }
            }  

            .burger__mobile {
                display: none;
              
                @media (max-width: 1024px) {
                    display: flex;
                }
            }
        }
    }

    .header__bottom {
        border-bottom: 1px solid $lightGray;
        background-color: $white;

        @media (max-width: 1024px) {
            position: absolute;
            max-width: 350px;
            width: 100%;
            height: 100vh;
            top: 0;
            right: -100%;
            border-bottom: none;
            border-left: 1px solid $lightGray;
            box-shadow: -10px 0px 21px -6px rgba(88, 88, 88, 0.2);
            transition: 0.3s ease;
            z-index: 4;
        }

        .menu__nav {       
            display: flex;
            justify-content: space-between;
            position: relative;
            gap: 20px;
            
            @media (max-width: 1024px) {
                padding: 2rem 1rem;
                flex-direction: column;
                gap: 30px;
            }

            .close__menu {
                display: none; 
                position: absolute;
                right: 0;
                top: 20px;

                @media (max-width: 1024px) {
                    display: flex;
                }
            }
            
            .menu__link {
                @include menuLink;
            }

            .contacts__block  {
                display: none;

                @media (max-width: 1024px) {
                    padding-top: 20px;
                    display: flex;
                    align-items: baseline;
                }
            }
        }
    }

    .header__bottom--show {
        right: 0;
    } 

    .contacts__block {
        display: flex;
        flex-direction: column;
        text-align: end;
        gap: 5px;

        @media (max-width: 1024px) {
            display: none;
        }

        .tel__link {
            @include telLink;
        }

        .mail__link {
            @include mailLink;
        }
    }
}